/**
 * Copyright 2012 StackMob
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.stackmob.sdkapi;

import com.stackmob.core.ConfigVarServiceException;

/**
 * ConfigVarService allows you to access key-value pairs specific to this app.
 */
public abstract class ConfigVarService {

    /**
     * Get the value for the given key
     * @param key the key to lookup
     * @throws ConfigVarServiceException if the config vars can't be reached
     * @return the value associated with that key or null
     */
    public abstract String get(String key) throws ConfigVarServiceException;

    /**
     * Get the value for the given key
     * @param key the key to lookup
     * @param name where to load config vars from
     * @throws ConfigVarServiceException if the config vars can't be reached
     * @return the value associated with that key or null
     */
    public abstract String get(String key, String name) throws ConfigVarServiceException;

}
